# $Revision: 1.4 $, $Date: 2002/09/28 20:33:27 $
#
# Conditional build:
# _with_tests - perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	DBD
%define	pnam	AnyData
Summary:	DBD::AnyData - DBI access to XML, CSV and other formats
Summary(pl):	DBD::AnyData - dostp DBI do XML, CSV i innych formatw
Name:		perl-DBD-AnyData
Version:	0.05
Release:	3
License:	?
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_with_tests:1}%{!?_with_tests:0}
BuildRequires:	perl-AnyData
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-XML-Twig
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-HTML-TableExtract
BuildRequires:	perl-CGI
%endif
BuildRequires:	rpm-perlprov >= 3.0.3-26
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The DBD::AnyData module provides a DBI/SQL interface to data in many
formats and from many sources.

Currently supported formats include general format flatfiles (CSV,
Fixed Length, Tab or Pipe "delimited", etc.), specific formats (passwd
files, web logs, etc.), a variety of other kinds of formats (XML, Mp3,
HTML tables), and, for some operations, any DBI accessible database.

%description -l pl
Modu DBD::AnyData udostpnia interfejs DBI/SQL do danych w wielu
formatach, pobieranych z wielu rde. Aktualnie obsugiwane formaty
zawieraj oglne sformatowane pliki (CSV, z polami o staej dugoci,
oddzielonymi tabami lub znakiem |, itp.), okrelone formaty (pliki
passwd, logi serwera WWW itp.), wiele innych rodzajw formatw (XML,
mp3, tabele HTML) oraz, dla niektrych operacji, dowolne bazy danych
dostpne przez DBI.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

# test seem to hang ... 
%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-DBD-AnyData.spec,v $
Revision 1.4  2002/09/28 20:33:27  kloczek
- release 3.

Revision 1.3  2002/09/27 21:03:15  ankry
- fix comments, cleaning

Revision 1.2  2002/08/14 23:37:43  qboosh
- pl description, release 2

Revision 1.1  2002/08/09 00:35:56  radek
- new, STBR
